/* Boards.h - Hardware Abstraction Layer for ConnectionUnity library */

#ifndef ConnUnity_Boards_h
#define ConnUnity_Boards_h

#include <inttypes.h>

#if defined(ARDUINO) && ARDUINO >= 100
#include "Arduino.h"	// for digitalRead, digitalWrite, etc
#else
#include "WProgram.h"
#endif

/*==============================================================================
 * Board Specific Configuration
 *============================================================================*/

 // Gidi: TODO: split definitions according to board type - see Boards.h in Firmata library for an example

// constants for the Unity connection
#define PIN_OFFSET (0)  // The first PIN_OFFSET pins we do not use; on the Arduino
                        // pin 0 and 1 are not used because they are used by the Serialport (RX/TX),
                        // hence PIN_OFFSET there is 2
                        // On the Teensy 2.0, RX/TX is pin 7/8, hence PIN_OFFSET could be 0
                        // Om the Teensy 2.0++, RX/TX is pin 2/3. hence PIN_OFFSET should be 4
                        // N.B. This constant is only relevant if you use real (not Fake) digital pins

#define MAX_ANALOG (6)	// On the Arduino, this is 6
 						// On the Teensy 2.0, this could be 10
 						// On the Teensy 2.0++, this could be 8
#define MAX_DIGITAL (12)
#define ARRAY_LENGTH (40)	// Gidi: not sure if this depends on the board?

#endif /* ConnUnity_Boards_h */